Some gadgets are broken

There are two main reasons that usually cause gadgets to break. The first is that the gadget itself has been coded with incorrect XML by its author. The second is that incorrect settings within the gadget's host are making the gadget inaccessible.

Since Blogger cannot control these errors caused by gadget authors, we do not allow adding corrupt gadgets. However if they have been already, we recommend that you remove them from your blog.

You can remove the gadget from the Layout tab on your blog.